from fabric.api import task

from fabfile.tools import compass
from fabfile.tools import requirejs
from fabfile.tools import jpegtran
from fabfile.tools import optipng


@task
def run():
    """- Build the project."""

    # compile css
    compass.compile()

    # run rjs optimizer (node + requirejs)
    # config is in tools/build.js
    # - copies dir into "build"
    # - runs optimizer over js (r.js)
    requirejs.optimize()

    # optimize images
    img_root = 'build/img'
    jpegtran.optimize(img_root)
    optipng.optimize(img_root)
