from fabric.api import local
from fabric.api import lcd


def package_dir(pkg_name, pkg_version, output_type, input_dirs, output_dir):
    """Package directory."""

    # see: https://github.com/jordansissel/fpm
    # see: https://github.com/jordansissel/fpm/wiki/PackageSimpleFiles
    # -s: "input_type"
    # -t: "output type; deb, rpm"
    # -a: "architecture; all = automatic"
    # -n: "name"
    # -v: "version"
    # {3}: list of package dirs
    pkg_exec = 'fpm -s dir -t {0} -a all -n {1} -v {2} {3}'

    with lcd(output_dir):
        local(
            pkg_exec.format(
                output_type,
                pkg_name,
                pkg_version,
                ' '.join(input_dirs)
            )
        )
