from fabric.api import local
from fabric.api import hide
from fabfile import utils


def optimize(img_root):
    """
    Run jpegtran's optimize process over a list of images.

    Parameters:
    image_root -- The top level directory to look for images

    Todo:
    - This version will copy over the original image, add more flexibility.

    """

    opt_exec = "jpegtran -optimize -progressive -outfile {0} {0}"
    image_paths = utils.yield_files_for_extension(img_root, 'jpg')

    with hide('running'):
        for path in image_paths:
            local(opt_exec.format(path))
