from fabric.api import local
from glob import iglob
from os import path


def watch(scss_path, css_path):
    """Start a SCSS "watch" process on the CSS src"""

    watch_exec = "sass -l --watch {}:{}"
    local(
        watch_exec.format(
            scss_path,
            css_path,
        )
    )


def compile(scss_path, css_path):
    """Compile SCSS to CSS"""

    compile_exec = "sass --force --style compressed {} {}"
    scss_format = scss_path + "/{}.scss"
    css_format = css_path + "/{}.css"
    match_scss = "{}/[a-zA-Z]*.scss"

    scss_glob = iglob(match_scss.format(scss_path))

    for i in scss_glob:
        file_name = path.basename(i)
        file_name = path.splitext(file_name)[0]
        scss_file = scss_format.format(file_name)
        css_file = css_format.format(file_name)

        local(
            compile_exec.format(
                scss_file, css_file
            )
        )
