import os
import fnmatch


def yield_files_for_extension(dir, ext):
    """
    Recursively walks path to find files that match the extension provided.

    Parameters:
    dir       -- The directory you wish to search.
    extension -- File extensions you wish to match, e.g. "jpg".

    Returns generator
    """

    return (
        os.path.join(root, file)
        for root, subfolders, files in os.walk(dir)
        for file in fnmatch.filter(files, '*.' + ext)
    )
