#! /bin/bash

# small bit of clean up in case download was interrupted
if [ -e ./node-latest.tar.gz ]; then
    rm -rf ./node-latest.tar.gz
fi

# download source
wget -N http://nodejs.org/dist/node-latest.tar.gz

# if tar successfully downloaded
if [ -e ./node-latest.tar.gz ]; then
    tar xzvf node-latest.tar.gz
    cd `ls -rd node-v*`
    ./configure

    # -j 3:
    # see: https://github.com/joyent/node/wiki/Installation#building-on-gnulinux-and-other-unix
    make -j 3
    sudo make install

    # store return value from make
    retVal=$?

    if [$retval -ne 0 ]; then
        echo "There was an error: $retval" 2>&1
        exit $retval
    else
        exit $retVal
    fi
fi
