require([
    'jquery',
    'modernizr', // unused but required load

    // Backbone components
    'js/routers/app',

    // Components
    'js/models/async',

    // required for load but shouldn't be accessed in args
    'bs-dropdown',
    'bs-button'
],

function($, Modernizr, Application, Async, ResourceError){

    var settings = new Async(
        {
            url: 'js/settings/app.json',
            done: onSettingsLoaded,
            fail: onSettingsLoadedFailed
        }
    );

    function onSettingsLoaded(model, response, options, promise) {

        // Only dependencies loaded at runtime should be nested here
        require(
        [
            settings.attributes.services.userData
        ],

        function(UserData) {
            new Application(new UserData());
            Backbone.history.start();

        });
    }

    function onSettingsLoadedFailed(model, response, options, promise) {
        throw new Error('Failed to load application settings.');
    }

});
