define(
[
    'jquery',
    'underscore',
    'backbone',
    'js/views/index'
],

function($, _, Backbone, Index){
'use strict';

/**
 * @name Application
 * @description The application router
 * @returns {Backbone.Router}
 * @requires jquery, underscore, backbone, js/views/index, js/events/Dispatcher
 */

var Application = Backbone.Router.extend({

    settings: false,

    routes: {
        '': 'index' // default route
    },

    initialize: function(userData) {
        this.userData = userData;
    },

    index: function() {
        new Index(
            this,
            this.userData
        );
    }
});

return Application;

});
