define(
[
    'jquery',
    'underscore',
    'backbone',
    'text!js/templates/breakpoint.erb'
],

function($, _, Backbone, templateFrameStr){
'use strict';

/**
 * @name BreakpointView
 * @description BreakpointView, view for a Breakpoint model.
 * @returns {Backbone.View}
 * @requires jquery, underscore, backbone, js/templates/frame.erb
 */

var BreakpointView = Backbone.View.extend({
    el: '.breakpoint',
    model: false,


    // Initialize

    initialize: function(model) {
        this.model = model;
    },


    // Methods

    render: function() {
        if(!this.model) {
            throw new Error('model was not set!');
        }

        var template = _.template(templateFrameStr, this.model);
        return template;
    }
});

return BreakpointView;

});
