define(
[
    'jquery',
    'underscore',
    'backbone',
    'js/views/modal-simple',

    // templates
    'text!js/partials/modal-simple.erb',
    'text!js/partials/modal-dummy-form.erb'
],

function(
    $,
    _,
    Backbone,
    ModalSimple,
    PartialContent,
    PartialForm
) {
'use strict';

/**
 * @name ModalAddBreakpoint
 * @description Controls a modal view.
 * @returns {Modal}
 * @requires jquery, underscore, backbone, js/partials/modal-add-link, js/partials/modal-simple-form
 */

var ModalAddBreakpoint = ModalSimple.extend({

    el_form: '#dummy-form',

    // Initialize

    initialize: function() {

        // call super
        ModalSimple.prototype.initialize.apply(this, []);

        var content = _.template(PartialContent, {
            form: PartialForm,
            cancelStr: 'Cancel',
            confirmStr: 'Add Breakpiont'

        });

        this.render({content: content, header: 'Add Breakpoint'});
    }

});

return ModalAddBreakpoint;

});
